﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_PCPartialScript")
@*@model List<mPackingCompletion>*@
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr>
                <td style="width: 10%" align="left">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case No";
                }).GetHtml()
                </td>
                <td align="left" colspan="3" style="width: 11%">
                    @Html.DevExpress().TextBox(
                      settings =>
                      {
                          settings.Name = "I_CASE_NO";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 120;
                          settings.Properties.MaxLength = 15;
                          settings.ClientEnabled = false;
                      }).Bind(ViewData["I_CASE_NO"]).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 10%" align="left">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case Gross Weight";
                }).GetHtml()
                </td>
                <td style="width: 8%" align="left">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_GROSS_WEIGHT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 6;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_GROSS_WEIGHT_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 2%">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_GROSS_WEIGHT_POINT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 40;
                  settings.Properties.MaxLength = 1;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_GROSS_WEIGHT_POINT_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 10%">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case Net Weight";
                }).GetHtml()
                </td>
                <td style="width: 8%" align="left">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_NET_WEIGHT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 6;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NET_WEIGHT_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 2%">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_NET_WEIGHT_POINT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 40;
                  settings.Properties.MaxLength = 1;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NET_WEIGHT_POINT_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 10%" align="left">
                    @Html.DevExpress().Label(
                 label =>
                 {
                     label.Text = "Case Danger Flag";
                 }).GetHtml()
                </td>
                <td style="width: 12%" align="left">
                    @Html.DevExpress().ComboBox(
                    ComboBox =>
                    {
                        ComboBox.Name = "I_CASE_DANGER_FLAG";
                        ComboBox.Width = 100;
                        ComboBox.Properties.DisplayFormatString = "{0}";
                        ComboBox.Properties.ValueType = typeof(string);
                        ComboBox.Properties.Items.Add("Y", "Y");
                        ComboBox.Properties.Items.Add("N", "N");
                    }).GetHtml()
                </td>
            </tr>
            <tr>
                <td align="left">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case Width";
                }).GetHtml()
                </td>
                <td align="left" style="width: 80px">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_WIDTH";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 7;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_WIDTH_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 5px">
                    .
                </td>
                <td>
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_WIDTH_POINT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 40;
                  settings.Properties.MaxLength = 3;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_WIDTH_POINT_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 20px">
                </td>
                <td align="left" style="width: 120px">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case Height";
                }).GetHtml()
                </td>
                <td align="left">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_HEIGHT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 7;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_HEIGHT_OnKeyPress";
              }).GetHtml()
                </td>
                <td>
                    .
                </td>
                <td>
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_HEIGHT_POINT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 40;
                  settings.Properties.MaxLength = 3;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_HEIGHT_POINT_OnKeyPress";
              }).GetHtml()
                </td>
                <td style="width: 20px">
                </td>
                <td>
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Case Length";
                }).GetHtml()
                </td>
                <td align="left">
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_LENGTH";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 7;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_LENGTH_OnKeyPress";
              }).GetHtml()
                </td>
                <td>
                    .
                </td>
                <td>
                    @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_CASE_LENGTH_POINT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 40;
                  settings.Properties.MaxLength = 3;
                  settings.Properties.ClientSideEvents.KeyPress = "I_CASE_LENGTH_POINT_OnKeyPress";
              }).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
    <br />
    <table style="width: 100%">
        <tr>
            <td align="left" style="width: 7%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order No";
                }).GetHtml()
            </td>
            <td align="left" colspan="3" style="width: 11%">
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_ORDER_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 8;
              }).GetHtml()
            </td>
            <td style="width: 5%">
            </td>
            <td align="left" style="width: 8%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Item No";
                }).GetHtml()
            </td>
            <td align="left" colspan="3" style="width: 11%">
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_ITEM_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 4;
              }).GetHtml()
            </td>
            <td style="width: 5%">
            </td>
            <td style="width: 8%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Part No";
                }).GetHtml()
            </td>
            <td align="left" colspan="3" style="width: 11%">
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_PART_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 15;
              }).GetHtml()
            </td>
            <td style="width: 5%">
            </td>
            <td align="left" style="width: 8%">
                @Html.DevExpress().Label(
                 label =>
                 {
                     label.Text = "Qty";
                 }).GetHtml()
            </td>
            <td align="left" style="width: 12%">
              @Html.DevExpress().SpinEdit(
              settings =>
              {
                  settings.Name = "I_PART_QTY";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MinValue = 0;
                  settings.Properties.DecimalPlaces = 0;
                  settings.Properties.DisplayFormatString = "###0";
                  settings.Properties.SpinButtons.Visible = false;
                  settings.Properties.SpinButtons.ShowIncrementButtons = false;
                  settings.Properties.NumberType = SpinEditNumberType.Integer;
                  settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
              }).GetHtml()
            </td>
            <td align="right" style="width: 10%">
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdSavePart";
                    print.Width = 100;
                    print.Text = "Save Part";
                    print.ClientSideEvents.Click = "OnSavePart";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletionByAir", "FTR-SPEX-81-01", "SAVE PART");
                }
                ).GetHtml()
            </td>
        </tr>
        <tr>
            <td colspan="18">
                <hr />
            </td>
        </tr>
        <tr>
            <td align="left" style="width: 150px" colspan="8">
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdSaveCase";
                    print.Width = 100;
                    print.Text = "Save Case";
                    print.ClientSideEvents.Click = "OnSaveCase";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletionByAir", "FTR-SPEX-81-01", "SAVE CASE");
                }
                ).GetHtml()
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdNewCase";
                    print.Width = 100;
                    print.Text = "New Case";
                    print.ClientSideEvents.Click = "OnNewCase";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletionByAir", "FTR-SPEX-81-01", "NEW CASE");
                }
                ).GetHtml()
            </td>
            <td colspan="10" align="left">
            </td>
        </tr>
        @*<tr>
            <td align="left">
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdSavePart";
                    print.Width = 130;
                    print.Text = "Save Part";
                    print.ClientSideEvents.Click = "OnSavePart";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletionByAir", "FTR-SPEX-81-01", "SAVE PART");
                }
                ).GetHtml()
            </td>
            <td colspan="7" align="left">
            </td>
        </tr>*@
    </table>
</div>
<div class="content">
    @Html.Partial("CaseContentGrid")
</div>
@*<div class="content">
    <table style="width: 100%">
        <tr>
            <td align="left" style="width: 150px">
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdSaveCase";
                    print.Width = 130;
                    print.Text = "Save Case";
                    print.ClientSideEvents.Click = "OnSaveCase";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletionByAir", "FTR-SPEX-81-01", "SAVE CASE");
                }
                ).GetHtml()
            </td>
            <td align="left" style="width: 150px">
                @Html.DevExpress().Button(
                print =>
                {
                    print.Name = "cmdNewCase";
                    print.Width = 130;
                    print.Text = "New Case";
                    print.ClientSideEvents.Click = "OnNewCase";
                    print.Style.Add("display", "inline-table");
                    print.UseSubmitBehavior = true;
                    print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletionByAir", "FTR-SPEX-81-01", "NEW CASE");
                }
                ).GetHtml()
            </td>
            <td colspan="7" align="left">
            </td>
        </tr>
    </table>
</div>*@
